<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction opleverenMedicatieverstrekkingen (2.16.840.1.113883.2.4.3.111.3.12.4.27 2016-11-21T06:17:10) - merged with mp-mp93_mg_mve.sch</title>

   <!-- Namespace declarations -->
<ns uri="http://hl7.org/fhir" prefix="f"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:hl7-nl:v3" prefix="hl7nl"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="urn:oid:1.3.6.1.4.1.19376.1.3.2" prefix="lab"/>
   <ns uri="urn:urn:nictiz-nl:v3/nfu" prefix="nfu"/>

   <!-- Main entry point checks -->
<pattern id="mainEntryPointsChecks">
      <title> Main entry point checks </title>
      <rule context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:QUMV_IN992213NL02[hl7:interactionId[@root = '2.16.840.1.113883.1.6']]"
                 see="http://decor.nictiz.nl/pub/vzvz/mp-vzvz-html-20250121T164055/tmp-2.16.840.1.113883.2.4.3.111.3.12.10.11-2021-07-21T141838.html">(opleverenMedicatieverstrekkingen): In de instance werd het volgende element verwacht: descendant-or-self::hl7:QUMV_IN992213NL02[hl7:interactionId[@root = '2.16.840.1.113883.1.6']]</assert>
         <assert role="info"
                 test="descendant-or-self::hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9365']]"
                 see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20241118T151205/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9365-2021-06-02T162820.html">(MPHL7VerstrekkingenOrganizer): In de instance werd het volgende element verwacht: descendant-or-self::hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9365']]</assert>
      </rule>
   </pattern>

   <!-- Datatype inclusions -->
<pattern id="datatypeInclusions">
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Main includes -->
<include href="include/2.16.840.1.113883.2.4.3.111.3.12.10.11-2021-07-21T141838.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.111.3.12.10.11-2021-07-21T141838-closed.sch"/>

   <!-- Main includes from Nictiz schematrons -->
<include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9365-2021-06-02T162820.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9365-2021-06-02T162820-closed.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.121.10.14-2021-07-01T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.121.10.24-2021-07-01T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9084-2016-06-21T103838.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9085-2016-06-21T114818.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9095-2016-06-23T195047.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9097-2016-06-23T203415.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9101-2016-06-24T130316.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9102-2016-06-24T133045.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9173-2017-05-22T163129.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9174-2017-05-22T163500.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9178-2017-05-23T091005.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9179-2017-05-23T115538.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9180-2017-05-23T115753.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9189-2017-10-26T161543.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9200-2018-01-12T101847.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9212-2018-04-20T174745.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9213-2018-04-20T181642.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9214-2018-04-23T130606.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9312-2019-12-23T150301.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9317-2020-01-20T141110.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9357-2021-04-02T133425.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9359-2021-05-17T141255.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9362-2021-06-02T154632.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9363-2021-06-02T155855.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9364-2021-06-02T161935.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9375-2021-06-16T173557.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9381-2021-06-17T181505.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9384-2021-06-18T152903.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9386-2021-06-29T170021.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9388-2021-07-09T160923.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9390-2021-08-16T074229.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9396-2022-03-15T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9397-2022-03-15T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9398-2022-03-15T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9401-2022-03-15T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9402-2022-03-15T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9406-2022-11-01T091730.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9412-2022-11-18T130922.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9414-2022-11-18T141506.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9415-2022-11-21T070356.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9416-2022-11-21T074758.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9417-2022-11-21T085549.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9429-2022-11-22T130054.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9430-2022-11-22T132432.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9431-2022-11-22T133531.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9434-2022-11-22T135830.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9438-2022-11-24T113046.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9439-2022-11-24T114130.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9440-2022-11-24T114649.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9441-2022-11-24T125142.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9442-2022-11-24T134142.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9443-2022-11-24T135001.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9444-2022-11-24T154710.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9447-2022-12-06T152547.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9448-2023-01-06T092258.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9449-2023-01-06T093041.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9451-2023-01-06T095110.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9455-2023-01-31T135327.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.3.10.0.26-2018-06-11T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.3.10.0.30-2018-06-11T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.3.10.0.32-2021-07-01T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2018-06-11T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2018-06-11T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.3.10.3.20-2018-06-11T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.3.10.31-2018-06-11T000000.sch"/>
   <include href="nictiz_include/2.16.840.1.113883.2.4.3.11.60.7.10.54-2019-05-31T125008.sch"/>
</schema>